<?xml version="1.0"?>
<!-- Fatdog-specific mime info -->

<mime-info xmlns='http://www.freedesktop.org/standards/shared-mime-info'>

  <mime-type type="application/x-btrfs-image">
    <comment>btrfs filesystem in a file</comment>
    <glob pattern="*.btrfs"/>
  </mime-type>
  
  <mime-type type="application/x-ext2-image">
    <comment>ext2 filesystem in a file</comment>
    <glob pattern="*.2fs"/>
    <glob pattern="*.ext2"/>
  </mime-type>
  
  <mime-type type="application/x-ext3-image">
    <comment>ext3 filesystem in a file</comment>
    <glob pattern="*.3fs"/>
    <glob pattern="*.ext3"/>
  </mime-type>
  
  <mime-type type="application/x-ext4-image">
    <comment>ext4 filesystem in a file</comment>
    <glob pattern="*.4fs"/>
    <glob pattern="*.ext4"/>
  </mime-type>

  <mime-type type="application/x-initrd">
    <comment>Linux initramfs, uncompressed</comment>
    <glob pattern="initrd" weight="70" />
    <glob pattern="initrd-*" weight="70" />
  </mime-type>

  <mime-type type="application/x-initrd-compressed">
    <comment>Linux initramfs, compressed</comment>
    <glob pattern="initrd*.?z" weight="80" />
    <glob pattern="initrd.?z*" weight="80" />
  </mime-type>

  <mime-type type="application/x-linux-kernel">
    <comment>Linux kernel</comment>
    <glob pattern="vmlinuz*" weight="70" />
    <glob pattern="bzImage*" weight="70" />
    <glob pattern="zImage*" weight="70" />
    <glob pattern="vmlinux*" weight="70" />
  </mime-type>
  
  <mime-type type="application/x-sfe">
    <comment>scrypt encrypted file</comment>
    <glob pattern="*.sfe"/>
  </mime-type>  
  
  <!-- A workaround for local .swf files not playing in browsers. -->
  <mime-type type="application/x-shockwave-flash">
    <comment>Shockwave Flash file</comment>
    <glob pattern="*.swf" weight="70" />
  </mime-type>

</mime-info>
